-- Insert SQL Rules Here 

-- UPDATE Technologies SET 'Cost'=cost*6 WHERE Era="ERA_RENAISSANCE";
-- UPDATE GameSpeed_Turns SET MonthIncrement=36,TurnsPerIncrement=250 WHERE GameSpeedType="GAMESPEED_QUICK" AND TurnsPerIncrement="20";

UPDATE Technologies SET Era="ERA_MEDIEVAL",GridX="5",GridY="0",Cost="440" WHERE Type="TECH_ASTRONOMY";
UPDATE Technologies SET cost=cost*4 WHERE Era="ERA_MEDIEVAL";
UPDATE Technologies SET GridX="4" WHERE Type="TECH_COMPASS";
UPDATE Technologies SET GridY="1" WHERE Type="TECH_EDUCATION";
UPDATE Technologies SET GridY="3" WHERE Type="TECH_CHIVALRY";
UPDATE Technologies SET GridY="6" WHERE Type="TECH_MACHINERY";
UPDATE Technologies SET GridY="7" WHERE Type="TECH_PHYSICS";
UPDATE Technology_PrereqTechs SET PrereqTech="TECH_COMPASS" WHERE TechType="TECH_ASTRONOMY";
UPDATE Technologies SET GridX=GridX+2 WHERE GridX>5;
UPDATE Technologies SET GridX="6" WHERE Type="TECH_WARFARE";
UPDATE Technologies SET GridX="6" WHERE Type="TECH_ILLUMINATION";
UPDATE Technologies SET GridX="6" WHERE Type="TECH_PATRONAGE";
UPDATE Technologies SET GridX="6" WHERE Type="TECH_TRADE";
-- UPDATE Technologies SET Era="ERA_MEDIEVAL",GridX="6",GridY="4",Cost="3300" WHERE Type="TECH_GUNPOWDER";

UPDATE Technology_Flavors SET FlavorType="FLAVOR_SCIENCE",Flavor="10" WHERE TechType="TECH_GUNPOWDER";

-- UPDATE Units SET Combat="8",RangedCombat="6" WHERE Class="UNITCLASS_CARAVEL";

UPDATE Units SET PrereqTech="TECH_WARFARE" WHERE Class="UNITCLASS_LANCER";
UPDATE Units SET NumFreeTechs="0" WHERE Type="UNIT_SCIENTIST";
UPDATE Unit_ClassUpgrades SET UnitClassType="UNITCLASS_CARAVEL" WHERE UnitType="UNIT_TRIREME";

UPDATE Units SET PrereqTech="TECH_DIVINE_RIGHT",UnitArtInfo="ART_DEF_UNIT__WORKER",IconAtlas="UNIT_ATLAS_1",PortraitIndex="1" WHERE Type="UNIT_SS_STASIS_CHAMBER"; --crew
UPDATE Units SET PrereqTech="TECH_ASTRONOMY",UnitArtInfo="ART_DEF_UNIT_ENGINEER",IconAtlas="UNIT_ATLAS_2",PortraitIndex="47" WHERE Type="UNIT_SS_ENGINE"; --maps
UPDATE Units SET PrereqTech="TECH_GUILDS",UnitArtInfo="ART_DEF_UNIT_MERCHANT",IconAtlas="UNIT_ATLAS_2",PortraitIndex="46" WHERE Type="UNIT_SS_COCKPIT"; --provisions
UPDATE Units SET PrereqTech="TECH_TRADE",UnitArtInfo="ART_DEF_UNIT_CARAVEL",MoveRate="BOAT",IconAtlas="UNIT_ATLAS_1",PortraitIndex="43" WHERE Type="UNIT_SS_BOOSTER"; --caravel

UPDATE Buildings SET PrereqTech="TECH_NAVIGATION" WHERE Type="BUILDING_OBSERVATORY";
UPDATE Buildings SET PrereqTech="TECH_PATRONAGE" WHERE Type="BUILDING_UNITED_NATIONS";
UPDATE Buildings SET Capital="1" WHERE Type="BUILDING_UNITED_NATIONS";
INSERT INTO Building_PrereqBuildingClasses (BuildingType,BuildingClassType,NumBuildingNeeded) VALUES ("BUILDING_UNITED_NATIONS","BUILDINGCLASS_CATHEDRAL","-1");
INSERT INTO Building_ClassesNeededInCity (BuildingType,BuildingClassType) VALUES ("BUILDING_UNITED_NATIONS","BUILDINGCLASS_EMBASSY");
-- UPDATE Buildings SET MinorFriendshipChange="20" WHERE Type="BUILDING_GRANARY";
UPDATE Buildings SET Culture="5" WHERE Type="BUILDING_PALACE";
UPDATE Buildings SET Culture="5" WHERE Type="BUILDING_MONUMENT";

INSERT INTO Building_GlobalYieldModifiers (BuildingType,YieldType,Yield) VALUES ("BUILDING_ORIENT_ROUTE","YIELD_GOLD","10");
--UPDATE Project_VictoryThresholds SET MinThreshold="0" WHERE ProjectType="PROJECT_SS_COCKPIT";
--UPDATE Project_VictoryThresholds SET MinThreshold="0" WHERE ProjectType="PROJECT_SS_STASIS_CHAMBER";
--UPDATE Project_VictoryThresholds SET MinThreshold="0" WHERE ProjectType="PROJECT_SS_ENGINE";
--UPDATE Project_VictoryThresholds SET MinThreshold="0" WHERE ProjectType="PROJECT_SS_BOOSTER";
UPDATE Projects SET TechPrereq="TECH_PATRONAGE" WHERE TechPrereq="TECH_ROCKETRY";

UPDATE Projects SET IconAtlas="UNIT_ATLAS_2" WHERE Type="PROJECT_APOLLO_PROGRAM";
UPDATE Projects SET PortraitIndex="8" WHERE Type="PROJECT_APOLLO_PROGRAM";

-- DELETE FROM Project_Prereqs WHERE PrereqProjectType="PROJECT_APOLLO_PROGRAM";
-- DELETE FROM Project_VictoryThresholds WHERE VictoryType="VICTORY_SPACE_RACE";
-- DELETE FROM Projects WHERE Spaceship="1";
-- DELETE FROM GameSpeeds WHERE Type="GAMESPEED_MARATHON";
-- DELETE FROM GameSpeeds WHERE Type="GAMESPEED_EPIC";
-- DELETE FROM GameSpeeds WHERE Type="GAMESPEED_STANDARD";
-- DELETE FROM GameSpeeds WHERE Type="GAMESPEED_QUICK";
-- DELETE FROM GameSpeed_Turns WHERE GameSpeedType="GAMESPEED_MARATHON";
-- DELETE FROM GameSpeed_Turns WHERE GameSpeedType="GAMESPEED_EPIC";
-- DELETE FROM GameSpeed_Turns WHERE GameSpeedType="GAMESPEED_STANDARD";
-- DELETE FROM GameSpeed_Turns WHERE GameSpeedType="GAMESPEED_QUICK";

-- UPDATE PlayerOptions SET default="1" WHERE Type="PLAYEROPTION_QUICK_MOVES";
-- UPDATE PlayerOptions SET default="1" WHERE Type="PLAYEROPTION_NO_UNIT_CYCLING";

UPDATE PolicyBranchTypes SET EraPrereq="ERA_CLASSICAL" WHERE Type="POLICY_BRANCH_RATIONALISM";
UPDATE PolicyBranchTypes SET EraPrereq="ERA_MEDIEVAL" WHERE Type="POLICY_BRANCH_ORDER";
UPDATE PolicyBranchTypes SET EraPrereq="ERA_MEDIEVAL" WHERE Type="POLICY_BRANCH_AUTOCRACY";

UPDATE Policies SET WonderProductionModifier="33" WHERE Type="POLICY_SECULARISM";
DELETE FROM Policy_SpecialistExtraYields WHERE PolicyType="POLICY_SECULARISM"; 
UPDATE Policy_Flavors SET FlavorType="FLAVOR_WONDER" WHERE PolicyType="POLICY_SECULARISM";

INSERT INTO Policy_BuildingClassHappiness (PolicyType,BuildingClassType,Happiness) VALUES ("POLICY_FREE_THOUGHT","BUILDINGCLASS_MONUMENT","1");
DELETE FROM Policy_ImprovementYieldChanges WHERE PolicyType="FREE_THOUGHT"; 
UPDATE Policy_Flavors SET FlavorType="FLAVOR_HAPPINESS" WHERE PolicyType="FREE_THOUGHT";

INSERT INTO Policy_CityYieldChanges (PolicyType,YieldType,Yield) VALUES ("POLICY_HUMANISM","YIELD_PRODUCTION","1");
DELETE FROM Policy_BuildingClassHappiness WHERE PolicyType="POLICY_HUMANISM"; 
UPDATE Policy_Flavors SET FlavorType="FLAVOR_PRODUCTION" WHERE PolicyType="POLICY_HUMANISM";

UPDATE Policies SET OccupiedPopulationUnhappinessMod="-33" WHERE Type="POLICY_SCIENTIFIC_REVOLUTION";
UPDATE Policies SET NumFreeTechs="0" WHERE Type="POLICY_SCIENTIFIC_REVOLUTION";
UPDATE Policy_Flavors SET FlavorType="FLAVOR_HAPPINESS" WHERE PolicyType="POLICY_SCIENTIFIC_REVOLUTION";

UPDATE Policies SET OneShot="1" WHERE Type="POLICY_SOVEREIGNTY";
INSERT INTO Policy_FreeUnitClasses (PolicyType,UnitClassType,Count) VALUES ("POLICY_SOVEREIGNTY","UNITCLASS_GREAT_MERCHANT","1");
-- INSERT INTO Policy_FreeUnitClasses (PolicyType,UnitClassType,Count) VALUES ("POLICY_SOVEREIGNTY","UNITCLASS_GREAT_ARTIST","1");
UPDATE Policy_Flavors SET FlavorType="FLAVOR_GREAT_PEOPLE" WHERE PolicyType="POLICY_SOVEREIGNTY";

INSERT INTO Policy_CapitalYieldModifiers (PolicyType,YieldType,Yield) VALUES ("POLICY_COMMUNISM","YIELD_SCIENCE","10");
INSERT INTO Policy_CapitalYieldModifiers (PolicyType,YieldType,Yield) VALUES ("POLICY_COMMUNISM","YIELD_CULTURE","10");
DELETE FROM Policy_CityYieldChanges WHERE PolicyType="POLICY_COMMUNISM";
UPDATE Policy_Flavors SET FlavorType="FLAVOR_SCIENCE" WHERE PolicyType="POLICY_COMMUNISM";
INSERT INTO Policy_Flavors (PolicyType,FlavorType,Flavor) VALUES ("POLICY_COMMUNISM","YIELD_SCIENCE","10");

UPDATE Policies SET CityCountUnhappinessMod="0" WHERE Type="POLICY_PLANNED_ECONOMY";
UPDATE Policies SET NumFreePolicies="1" WHERE Type="POLICY_PLANNED_ECONOMY";
UPDATE Policy_Flavors SET FlavorType="FLAVOR_CULTURE" WHERE PolicyType="POLICY_PLANNED_ECONOMY";

INSERT INTO Policy_SpecialistExtraYields (PolicyType,YieldType,Yield) VALUES ("POLICY_SOCIALISM","YIELD_CULTURE","1");
INSERT INTO Policy_SpecialistExtraYields (PolicyType,YieldType,Yield) VALUES ("POLICY_SOCIALISM","YIELD_SCIENCE","1");
UPDATE Policies SET BuildingGoldMaintenanceMod="0" WHERE Type="POLICY_SOCIALISM";
UPDATE Policy_Flavors SET FlavorType="FLAVOR_CULTURE" WHERE PolicyType="POLICY_SOCIALISM";

UPDATE Policies SET BuildingProductionModifier="0" WHERE Type="POLICY_ORDER";
UPDATE Policies SET HappinessToScience="10" WHERE Type="POLICY_ORDER";


-- UPDATE Defines SET Value="30" WHERE Name="CITY_CAPTURE_POPULATION_PERCENT";
-- UPDATE Defines SET Value="30" WHERE Name="CITY_CAPTURE_POPULATION_PERCENT";
-- UPDATE Defines SET Value="1.7" WHERE Name="UNHAPPINESS_PER_OCCUPIED_POPULATION";
UPDATE Defines SET Value="900" WHERE Name="CITY_STRENGTH_DEFAULT";
UPDATE Defines SET Value="2.5" WHERE Name="MINOR_CIV_GOLD_GIFT_GAME_MULTIPLIER";
UPDATE Defines SET Value="3" WHERE Name="MINOR_CIV_GOLD_GIFT_GAME_DIVISOR";
-- UPDATE Defines SET Key="PROJECT_NEWWORLD_PROGRAM" WHERE Name="SPACE_RACE_TRIGGER_PROJECT";

-- UPDATE Defines SET Key="GAMESPEED_MEDIEVAL_STANDARD" WHERE Key="GAMESPEED_STANDARD";
-- MINOR_CIV_QUEST_WEIGHT_DEFAULT=10
